// (c) 2014 Frank Bartels (frank@toppoint.de)
// Licence (GPL3): see LICENCE.txt

// Dimming using poti on pin A3, powered by 14/16
extern int PotiPower;
extern int PotiPower0;
extern int PotiPower1;
extern int PotiBrightness; // A3
extern int PotiUser0; // A1

extern int pinSCK;
extern int pinData;
extern int pinLE;
extern int pinOE;

extern int pinDebug; // -1=not debug, 4=typical pin

void display_bufferxx();
void blbla();

// Triangle 11x8
//#define SCRdx 11  // Jetzt 32 // Vollausbau 48 // Mini: 18
//#define SCRdy 8   // 8 opt.8
// Mini Matrix 18x8
#define SCRdx 18 // Jetzt 32 // Vollausbau 48 // Mini: 18 // Triangle:11
#define SCRdy 8   // 8 opt.8

extern int simsquares;

#define BUFs 1
extern unsigned char scr[BUFs][SCRdx][SCRdy]; // (real) screen
extern int act_buf_read;
extern int act_buf_write;

extern void user_init();

extern void time_turbo_update(); //(use time_turbo_update(); after maipulation of time_turbo !)
extern int time_turbo; // std=1 more(n)= n times faster
extern int slowmotion; // std=1 more(n)= n times slower
extern int DO_show_as_ascii; // std=0  1=show as ASCII output pseudo graphics

#define FIXbit 8
#define FIXP ((int)1<<FIXbit)
#define SCRdx_fixp ((int)SCRdx<<FIXbit)
#define SCRdy_fixp ((int)SCRdy<<FIXbit)
#define SCRdx1_fixp ((int)(SCRdx-1)<<FIXbit)
#define SCRdy1_fixp ((int)(SCRdy-1)<<FIXbit)

typedef unsigned char paint_color; 

// Matrix/Vector stuff incl. some fixed point foo
#define M3dM 4
#define M3dM2 (M3dM*M3dM)
#define M3dV 3

#define TwoPI 6.28318530717958647693

#define FIXKorrD (FIXP/0x10)
#define FIXKorrM (1)


